diff --git a/templates/pages/download/linux/linux_oneclick.inc b/templates/pages/download/linux/linux_oneclick.inc
index 9ac189a..ff38e8c 100644
--- a/templates/pages/download/linux/linux_oneclick.inc
+++ b/templates/pages/download/linux/linux_oneclick.inc
@@ -1,12 +1,30 @@
-<h2>Graphical installer</h2>
+<h2>Interactive installer by EnterpriseDB</h2>
 <p>
-Installers are available for 32 and 64-bit Linux distributions
-and include PostgreSQL, pgAdmin and the StackBuilder utility for installation
-of additional packages.
+<a href="http://www.enterprisedb.com/products/pgdownload.do#linux"> Download the installer</a>
+ certified by EnterpriseDB for all supported PostgreSQL versions.
 </p>
+
+<p>This installer includes the PostgreSQL server, pgAdmin; a graphical tool for managing and developing
+your databases, and StackBuilder; a package manager that can be used to download and install
+additional PostgreSQL tools and drivers. Stackbuilder includes management,
+integration, migration, replication, geospatial, connectors and other tools.
+</p>
+
+<p>
+This installer can run in graphical, command line, or silent install modes.
+</p>
+
+<p>
+The installer is designed to be a straightforward, fast way to get up and running with
+PostgreSQL on Linux (Red Hat family Linux including CentOS/Fedora/Scientific/Oracle variants),
+Debian GNU/Linux and derivatives, Ubuntu Linux and derivatives, SuSE and OpenSuSE.
+</p>
+
 <p>
-<a href="http://www.enterprisedb.com/products/pgdownload.do">Download</a>
-the installer from EnterpriseDB for all supported versions.
+<em>Advanced users</em> can also download a
+<a href="http://www.enterprisedb.com/products/pgbindownload.do">tar.gz archive</a>
+of the binaries, without the installer.
+This download is intended for users who wish to include PostgreSQL as part of another application installer.
 </p>
 
 <p>
diff --git a/templates/pages/download/macosx.html b/templates/pages/download/macosx.html
index 6e1f53e..aacc529 100644
--- a/templates/pages/download/macosx.html
+++ b/templates/pages/download/macosx.html
@@ -17,19 +17,33 @@ There are several other installers available for PostgreSQL on Mac OS X,
 which is the recommended way to install.
 </p>
 
-<h2>Graphical installer by EnterpriseDB</h2>
+<h2>Interactive installer by EnterpriseDB</h2>
 
 <p>
-An installer is available for Mac OS X that includes PostgreSQL,
-pgAdmin and the StackBuilder utility for installation of additional packages. 
-For PostgreSQL 9.0 and 9.1, Mac OS X 10.5 and above are supported,
-on 32 and 64-bit Intel CPUs, and PostgreSQL 9.2 and later support 
-Mac OS X 10.6 and above on 32 and 64-bit Intel CPUs.
+<a href="http://www.enterprisedb.com/products/pgdownload.do#macosx"> Download the installer</a>
+certified by EnterpriseDB for all supported PostgreSQL versions.
+</p>
+
+<p>This installer includes the PostgreSQL server, pgAdmin; a graphical tool for managing and developing
+your databases, and StackBuilder; a package manager that can be used to download and install
+additional PostgreSQL tools and drivers. Stackbuilder includes management,
+integration, migration, replication, geospatial, connectors and other tools.
+</p>
+
+<p>
+This installer can run in graphical, command line, or silent install modes.
+</p>
+
+<p>
+The installer is designed to be a straightforward, fast way to get up and running with
+PostgreSQL on OS X.
 </p>
 
 <p>
-<a href="http://www.enterprisedb.com/products/pgdownload.do#osx">Download</a>
-the installer from EnterpriseDB for all supported versions.
+<em>Advanced users</em> can also download a
+<a href="http://www.enterprisedb.com/products/pgbindownload.do">zip archive</a>
+of the binaries, without the installer.
+This download is intended for users who wish to include PostgreSQL as part of another application installer.
 </p>
 
 <h2>Graphical installer by BigSQL</h2>
diff --git a/templates/pages/download/windows.html b/templates/pages/download/windows.html
index b13af58..cb7a919 100644
--- a/templates/pages/download/windows.html
+++ b/templates/pages/download/windows.html
@@ -4,32 +4,33 @@
 
 <h1>Windows installers</h1>
 
-<h2>Graphical installer by EnterpriseDB</h2>
+<h2>Interactive installer by EnterpriseDB</h2>
 
 <p>
-This graphical installer for PostgreSQL includes the PostgreSQL server,
-<a href="http://www.pgadmin.org">pgAdmin III</a>; a graphical tool
-for managing and developing your databases, and StackBuilder; a
-package manager that can be used to download and install additional
-PostgreSQL applications and drivers.
+<a href="http://www.enterprisedb.com/products/pgdownload.do#windows"> Download the installer</a>
+ certified by EnterpriseDB for all supported PostgreSQL versions.
+</p>
+
+<p>This installer includes the PostgreSQL server, pgAdmin; a graphical tool for managing and developing
+your databases, and StackBuilder; a package manager that can be used to download and install
+additional PostgreSQL tools and drivers. Stackbuilder includes management,
+integration, migration, replication, geospatial, connectors and other tools.
 </p>
 
 <p>
-The installer is designed to be as straightforward as possible
-and a fast way to get up and running with PostgreSQL on Windows.
+This installer can run in graphical or silent install modes.
 </p>
 
 <p>
-<a href="http://www.enterprisedb.com/products/pgdownload.do#windows">Download</a>
-the installer from EnterpriseDB for all supported versions.
+The installer is designed to be a straightforward, fast way to get up and running with
+PostgreSQL on Windows.
 </p>
 
 <p>
-<i>Advanced users</i> can also download a
+<em>Advanced users</em> can also download a
 <a href="http://www.enterprisedb.com/products/pgbindownload.do">zip archive</a>
-of the binaries, without the installer. This is not recommended for normal
-installations, it is intended for users who wish to include PostgreSQL as
-part of another application installer.
+of the binaries, without the installer.
+This download is intended for users who wish to include PostgreSQL as part of another application installer.
 </p>
 
 <h2>Graphical installer by BigSQL</h2>
